# Class TokenBridgeConfig

#### Hierarchy

- TokenBridgeConfig

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/config.ts:28

#####
Index

### Constructors

constructor

### Properties

wormhole

### Methods

deserialize

## Constructors

### constructor

- new TokenBridgeConfig(wormholeProgramId): TokenBridgeConfig

- #### Parameters

  - ##### wormholeProgramId: Buffer

  #### Returns TokenBridgeConfig

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/config.ts:31

## Properties

### wormhole

wormhole: PublicKey

- Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/config.ts:29

## Methods

### `Static` deserialize

- deserialize(data): TokenBridgeConfig

- #### Parameters

  - ##### data: Buffer

  #### Returns TokenBridgeConfig

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/accounts/config.ts:35

Generated using TypeDoc